store-attendances-get-one¶
Source¶
Repository:
jef-systems/jef-store-backendSource Run ID:
25333167796Source SHA:
69cb846339fa14db005aec45414a4a94ec2a821eModule:
storeDocumentation Scope:
getLambda:
jef-store-get-3
Endpoint¶
API Name:
jef-storeAction Name:
getMethod:
GETScope Label:
GETResource Path:
/store-attendances-get-oneComplete Endpoint:
https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-attendances-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-store-get-3curl payload mode:
query_string
API Gateway Description¶
Function: jef-store-get-3
API Name: jef-store
Action: get
Method: GET
Resource Path: /store-attendances-get-one
Table:
- table: jef-store-attendances
- operation: get-one
Payload Schema:
- pk: attendance_id
Payload Example:
- pk: attendance-1001-0001
Response Schema:
- exists: boolean
- message: string
- item: {"attendance_id":"string","entity_number":"string","employee_number":"string","employee_name":"string","attendance_date":"string","schedule":"string","status":"string","notes":"string","is_active":"boolean","is_deleted":"boolean","deleted_at":"string","created_at":"string","updated_at":"string","idempotency_key":"string","schema_version":"number","version":"number"}
Request Payload¶
{
"pk": "attendance_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"attendance_id\":\"string\",\"entity_number\":\"string\",\"employee_number\":\"string\",\"employee_name\":\"string\",\"attendance_date\":\"string\",\"schedule\":\"string\",\"status\":\"string\",\"notes\":\"string\",\"is_active\":\"boolean\",\"is_deleted\":\"boolean\",\"deleted_at\":\"string\",\"created_at\":\"string\",\"updated_at\":\"string\",\"idempotency_key\":\"string\",\"schema_version\":\"number\",\"version\":\"number\"}"
}
CMD curl¶
curl "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-attendances-get-one?pk=attendance-1001-0001"
PowerShell curl¶
curl.exe "https://rw53l0a90m.execute-api.ap-southeast-1.amazonaws.com/prod/store-attendances-get-one?pk=attendance-1001-0001"